DGET(9)

NAME
dget - get a reference to a dentry

SYNOPSIS

struct dentry * dget (struct dentry * dentry);

ARGUMENTS

dentry
    dentry to get a reference to

DESCRIPTION

Given a dentry or NULL pointer increment the reference count if appropriate and return the dentry. A dentry will not be destroyed when it has references. dget should never be called for dentries with zero reference counter. For these cases (preferably none, functions in dcache.c are sufficient for normal needs and they take necessary precautions) you should hold dcache_lock and call dget_locked instead of dget.